﻿using System;
using System.Collections.Generic;
using Xamarin.Forms;

namespace AppXF
{
    public class TestViewModel
    {
        private List<TestEvent> events;

        public TestViewModel()
        {
            var currentDate = DateTime.Now;
            Events = new List<TestEvent>() {
                new TestEvent(
                    DateTime.Parse($"{currentDate.ToString("yyyy-MM-dd")} 10:00:00"),
                    DateTime.Parse($"{currentDate.ToString("yyyy-MM-dd")} 12:00:00"),
                    "Event",
                    Color.Yellow,
                    Color.Black
                 )
            };
        }

        public List<TestEvent> Events { get; }
    }

    public class TestEvent : Telerik.XamarinForms.Input.IAppointment
    {
        private const string timeFormat = "t";

        public TestEvent(DateTime startTime, DateTime endTime, string eventText, Color leadColor, Color itemColor, bool isEventAllDay = false)
        {
            this.Color = leadColor;
            this.EndDate = endTime;
            this.IsEventAllDay = isEventAllDay;
            this.ItemBackgroundColor = itemColor;
            this.LeadBorderColor = leadColor;
            this.StartDate = startTime;
            this.Title = eventText;

            if (Device.RuntimePlatform == Device.Android || Device.RuntimePlatform == Device.UWP)
            {
                this.AllDayString = "ALL DAY";
            }
            else
            {
                this.AllDayString = "All Day";
            }
        }

        public string AllDayString { get; }

        public Color Color { get; set; }

        public string Detail { get; set; }

        public DateTime EndDate { get; set; }

        public string EndTimeString
        {
            get
            {
                return this.EndDate.ToString(timeFormat);
            }
        }

        public bool IsAllDay { get; set; }

        public bool IsEventAllDay { get; set; }

        public Color ItemBackgroundColor { get; set; }

        public Color LeadBorderColor { get; set; }

        public DateTime StartDate { get; set; }

        public string StartTimeString
        {
            get
            {
                return this.StartDate.ToString(timeFormat);
            }
        }

        public string Title { get; set; }
    }
}
